From 46b1673ae53157e9a1a600bfa398e7fb4e4952f9 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Thu, 19 May 2022 22:13:56 +0200
Subject: [PATCH 28/34] Add slurm_msg_set_r_uid() for replace_batch_job() which
 as been deleted since

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/job_scheduler.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/slurmctld/job_scheduler.c b/src/slurmctld/job_scheduler.c
index 410a7257f8..1866dbcb2b 100644
--- a/src/slurmctld/job_scheduler.c
+++ b/src/slurmctld/job_scheduler.c
@@ -951,6 +951,7 @@ send_reply:
 			resp_msg->address = msg->address;
 			resp_msg->msg_type = REQUEST_BATCH_JOB_LAUNCH;
 			resp_msg->data = launch_msg;
+			slurm_msg_set_r_uid(resp_msg, msg->auth_uid);
 			list_append(msg->ret_list, resp_msg);
 		} else {
 			slurm_msg_t response_msg;
@@ -960,6 +961,7 @@ send_reply:
 			response_msg.address = msg->address;
 			response_msg.msg_type = REQUEST_BATCH_JOB_LAUNCH;
 			response_msg.data = launch_msg;
+			slurm_msg_set_r_uid(&response_msg, msg->auth_uid);
 			slurm_send_node_msg(msg->conn_fd, &response_msg);
 			slurmctld_free_batch_job_launch_msg(launch_msg);
 		}
-- 
2.35.3


